#include "cntl2.h"

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

int main(int argc, char**argv){
	struct in_addr 			ip;
	ControlPacketStatReply	st;
	unsigned int			BuffID;
	char*					TargetBuff;
	
	if (argc == 1){
		printf("Hogwash Buffer Retrieval v1.0 by Anonpoet\n\n");
		printf("Sends an encrypted request for a buffer \nand displays the results\n\n");
		printf("Usage:\n");
		printf("hbuff <IP Adress> [<buffer id>|ALERT|RULES|LOG|UALERT|ULOG|SID]\n");
		return 0;
	}
	
	inet_aton(argv[1],&ip);
		
	BuffID=STOCK_BUFFER_ALERT;
	if (argc>2){
		if (strcmp(argv[2],"ALERT")==0){
			BuffID=STOCK_BUFFER_ALERT;
		}else if (strcmp(argv[2],"RULES")==0){
			BuffID=STOCK_BUFFER_RULES;
		}else if (strcmp(argv[2],"LOG")==0){
			BuffID=STOCK_BUFFER_LOG;
		}else if (strcmp(argv[2],"UALERT")==0){
			BuffID=STOCK_BUFFER_UALERT;
		}else if (strcmp(argv[2],"ULOG")==0){
			BuffID=STOCK_BUFFER_ULOG;
		}else if (strcmp(argv[2],"SID")==0){
			BuffID=STOCK_BUFFER_SID;	
		}
	}
	
	hm_init("control.conf");
	if (!hb_get_stat(ip, BuffID, &st)){
		printf("Error getting stat!\n");
	}else{
		TargetBuff=(char*)calloc(st.Size,1);
		if (hb_get_buff(ip, BuffID, TargetBuff, st.Size)){
			printf("%s",TargetBuff);
		}else{
			printf("Error getting buff!\n");
		}
		free(TargetBuff);
	}
	hm_close();
}
