#ifndef __hogwash_h
#define __hogwash_h

#include <sys/time.h>
#include <sys/types.h>

#ifndef TRUE
#define TRUE 1
#endif

#ifndef FALSE
#define FALSE 0
#endif

#define INTERNAL	0
#define EXTERNAL	1

#define RESPONSE_DROP	1
#define RESPONSE_SENDON	2
#define RESPONSE_PASS	3

#define PACKET_HOLDER_SIZE	65536+14
#define NUM_HOLDERS		150
#define HOLDER_TIMEOUT		2

typedef struct packet_to_process{
	struct timeval	ts;
	unsigned int	packet_len;
	unsigned int	capture_len;
	char			raw_packet[PACKET_HOLDER_SIZE];
	int				from_interface;
} PacketToProcess;


#define PID_FILE		"/var/run/hogwash.pid"
#define DEFAULT_LOG_DIR		"/var/log/hogwash"

/*global filenames*/
#define MAX_FILENAME_SIZE	1024
char	ConfigFile[MAX_FILENAME_SIZE];
char	SidPath[MAX_FILENAME_SIZE];
char	LastAlertFileName[MAX_FILENAME_SIZE];
char	LastLogFileName[MAX_FILENAME_SIZE];
char	LastUnifiedAlertFileName[MAX_FILENAME_SIZE];
char	LastUnifiedLogFileName[MAX_FILENAME_SIZE];

#define MAX_INTERFACE_NAME_SIZE		64
char	internal_name[MAX_INTERFACE_NAME_SIZE];
char	external_name[MAX_INTERFACE_NAME_SIZE];
char	span_name[MAX_INTERFACE_NAME_SIZE];

void HogwashProcessPacket(PacketToProcess* ptp, int spanning);

#endif
