#include "packet.h"

#ifdef __LINUX__
#include "packet_linux.c"
#endif

#ifdef __FREEBSD__
#include "packet_freebsd.c"
#endif

#ifdef __OPENBSD__
#include "packet_obsd.c"
#endif

#ifdef __PCAP__
#include "packet_pcap.c"
#endif

/***************************************************************
* Print out the packet contents
***************************************************************/
void dumppacket(unsigned char* Buff, int len){
	int 	i,j;
	unsigned char	Line[1024];

	for (j=0;j<len;j=j+16){
		bzero(Line, 1024);
		for (i=0;i<16;i++){
			sprintf(Line+(i*3),"%02x ", Buff[j+i]);
			Line[(16*3)+0]=' ';
			Line[(16*3)+1]=' ';
			Line[(16*3)+2]=' ';
			if ( (Buff[j+i] > 0x20) && (Buff[j+i] < 0x7F) ){
				Line[(16*3)+3+i]=Buff[j+i];
			}else{
				Line[(16*3)+3+i]='_';
			}		
		}
		printf("%s\n",Line);
	}
}

